package com.rjconsultores.ventaboletos.service.impl;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.PacoteDescontoBilheteDAO;
import com.rjconsultores.ventaboletos.entidad.PacoteDescontoBilhete;
import com.rjconsultores.ventaboletos.service.PacoteDescontoBilheteService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("pacoteDescontoBilheteService")
public class PacoteDescontoBilheteServiceImpl implements PacoteDescontoBilheteService {
	
	@Autowired
	PacoteDescontoBilheteDAO pacoteDescontoBilheteDAO;

	@Override
	public List<PacoteDescontoBilhete> obtenerTodos() {
		return pacoteDescontoBilheteDAO.obtenerTodos();
	}

	@Override
	public PacoteDescontoBilhete obtenerID(Long id) {
		return pacoteDescontoBilheteDAO.obtenerID(id);
	}

	@Override
	@Transactional
	public PacoteDescontoBilhete suscribir(PacoteDescontoBilhete entidad) {
		entidad.setActivo(true);
		entidad.setFecmodif(new Date());
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		return pacoteDescontoBilheteDAO.suscribir(entidad);
	}

	@Override
	@Transactional
	public PacoteDescontoBilhete actualizacion(PacoteDescontoBilhete entidad) {
		entidad.setFecmodif(new Date());
		return pacoteDescontoBilheteDAO.actualizacion(entidad);
	}

	@Override
	@Transactional
	public void borrar(PacoteDescontoBilhete entidad) {
		entidad.setActivo(false);
		entidad.setFecmodif(new Date());
		actualizacion(entidad);
	}

	@Override
	public List<PacoteDescontoBilhete> obtenerTodos(Integer pacoteId) {
		return pacoteDescontoBilheteDAO.obtenerTodos(pacoteId);
	}

}
